Subject: Re: BUG: iproute2 4.14.1 tc class add come to kernel-panic

From: Eric Dumazet <[email-masked]>
Date: Mon, 29 Jan 2018 07:02:28 -0800

On Mon, 2018-01-29 at 15:51 +0100, Roland Franke wrote:
> Starting with Kernel 4.14.1 (x86_64) I found the following problem:
> When I made the following commands:
> 
> tc qdisc add dev eth0 root handle 20: htb default 4 r2q 1
> tc class add dev eth0 parent 20: classid 20:7 htb rate 10000kbit
> tc qdisc add dev eth0 parent 20:7 sfq perturb 10
> tc class add dev eth0 parent 20:7 classid 20:1 htb rate 200kbit ceil 
> 10000kbit prio 0
> 
> I become an Kernel-panic with the following output:
> kern.err kernel: BUG: scheduling while atomic: tc/1036/0x00000200
> 
> The identical message come, when i try the kernel till 4.14.15.
> 
> When i have tested the same with one of the kernels from the 4.13 series,
> i had no problem.Will this be solved in the kernel-series 4.14 or will this 
> only with the
> coming series 4.15 be made?
> 
> Kernel 4.15 is not be tested till now.
> 
> Best regards,
> Roland Franke 
> 

Hi Roland

Would you have a stack trace to share with us ?

Thanks !